extends Node2D

# ビューポートのパス
# 未指定の場合はルートを使います
export(NodePath) var viewport_path = null

# キャプチャするビューポート
onready var target_viewport = get_node(viewport_path) if viewport_path else get_tree().root.get_viewport()

# PNGファイルとして保存する
func save_to(path):
	var img = target_viewport.get_texture().get_data()
	img.flip_y()
	return img.save_png(path)

func _process(delta: float) -> void:
	if Input.is_action_just_pressed("ui_accept"):
		
		# ユーザーパスに保存する場合
		#var path = "user://capture.png"
		
		# リソースパスに保存する場合
		var path = "res://capture.png"
		save_to(path)
		print("SAVE PNG")
